FLANG

Public Types | Public Member Functions | List of all members
Fortran::evaluate::ArrayConstructor< SomeDerived > Class Reference
Inheritance diagram for Fortran::evaluate::ArrayConstructor< SomeDerived >:

## Public Types
using | Result = SomeDerived
using | Base = ArrayConstructorValues< Result >
Public Types inherited from Fortran::evaluate::ArrayConstructorValues< SomeDerived >
using | Result = SomeDerived
using | Values = std::vector< ArrayConstructorValue< Result > >

## Public Member Functions
| ArrayConstructor (const semantics::DerivedTypeSpec &spec, Base &&v)
template<typename A >
| ArrayConstructor (const A &prototype)
bool | operator== (const ArrayConstructor &) const
constexpr Result | result () const
constexpr DynamicType | GetType () const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
Public Member Functions inherited from Fortran::evaluate::ArrayConstructorValues< SomeDerived >
bool | operator== (const ArrayConstructorValues &) const
common::NoLvalue< A > | Push (A &&x)
Values::iterator | begin ()
Values::const_iterator | begin () const
Values::iterator | end ()
Values::const_iterator | end () const

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::ArrayConstructorValues< SomeDerived >
static constexpr int | Rank ()
Protected Attributes inherited from Fortran::evaluate::ArrayConstructorValues< SomeDerived >
Values | values_

The documentation for this class was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/expression.cpp
- lib/Evaluate/formatting.cpp